CONFIG  += qt fly
TEMPLATE = app
QT	+= widgets x11extras xml svg
FLY	+= core

include( /usr/include/fly-dm/fly-dm.pri )

CONFIG   += link_pkgconfig
PKGCONFIG = x11 xtst

#alex: disable for a while (upower declines any unauthorized suspend/hibernate calls)
DEFINES  += WITH_POWER_MANAGEMENT
CONFIG   += link_pkgconfig
PKGCONFIG += dbus-1
LIBS     += -lflydbus

QMAKE_CXXLAGS        += -U_REENTRANT -fpie -pie
QMAKE_CFLAGS_RELEASE += -U_REENTRANT -fpie -pie
QMAKE_CFLAGS_DEBUG   += -U_REENTRANT -fpie -pie
QMAKE_LFLAGS         += -fpie -pie -Wl,-z,relro,-z,now


TARGET   = fly-dm_greet

HEADERS += kdm_greet.h kdmconfig.h kdmclock.h kfdialog.h kgdialog.h kgverify.h \
	kdmshutdown.h kgreeter.h kgapp.h utils.h kchooser.h

SOURCES += kdm_greet.c kdmconfig.cpp kdmclock.cpp kfdialog.cpp kgdialog.cpp kgverify.cpp \
	kdmshutdown.cpp kgreeter.cpp kgapp.cpp utils.cpp kchooser.cpp

SOURCES += ../themer/kdmthemer.cpp ../themer/kdmitem.cpp ../themer/kdmpixmap.cpp \
	../themer/kdmrect.cpp ../themer/kdmlist.cpp ../themer/kdmlabel.cpp \
	../themer/kdmbutton.cpp	../themer/kdmlayout.cpp	../themer/parse.cpp

HEADERS += ../themer/kdmthemer.h ../themer/kdmitem.h ../themer/kdmpixmap.h \
	../themer/kdmrect.h ../themer/kdmlist.h ../themer/kdmlabel.h \
	../themer/kdmbutton.h ../themer/kdmlayout.h ../themer/parse.h

SOURCES += ../plugins/myuser.cpp

INCLUDEPATH += ../themer ../plugins

TRANSLATIONS = fly-dm_greet_ru.ts
